#
# spec file for package par
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           par
Version:        0.8.0
Release:        359.5
Summary:        Parity File Generator
License:        GPL-2.0+
Group:          System/Filesystems
URL:            https://github.com/Parchive/par2cmdline
Source0:        https://github.com/Parchive/par2cmdline/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
Provides:       %{name} = 1.1
Obsoletes:      %{name} = 1.1

%description
Parchive creates extra parity data over several volumes. These can be
used to restore the complete archive after some data loss or
corruption.

%prep
%setup -q -n par2cmdline-%{version}

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
%make_install
chmod -x ChangeLog

%files
%doc README AUTHORS ChangeLog
%license COPYING
%{_bindir}/par2
%{_bindir}/par2create
%{_bindir}/par2repair
%{_bindir}/par2verify
%{_mandir}/man1/par2.1%{ext_man}

%changelog
* Mon Feb 19 2018 aloisio@gmx.com
- Update to version 0.8.0
  * improved parallelisation on input files
  version 0.7.4
  * performance improvement when not using quiet mode
  version 0.7.3
  * fixed critical issue on windows where created parfiles were
    corrupt
  version 0.7.2
  * fixed tests on NetBSD, #102
  * fixed failing tests when dir contains whitespace, #103
  * added automake.sh to the files, #104
  * changed some flags related to windows build, #94
  * cleaned up compiler warnings for mingw build
  version 0.7.1
  * fixed basepath issues #93
  * made distcheck behaviour consistent with different
  - -srcdir #96
  * properly package distribution package #98
  * cross compile for windows to get redistributable exe #94
  * change distribution format to tar.gz and tar.bz2 for unix
    and keep zip for windows #97
  version 0.7.0
  * Merged OpenMP version and so enabled multithreading
    + added -t flag to set the number of threads (all possible
    threads used by default)
  * Added -B flag to set the basepath for difficult to guess
    situations
  * bugfixes
  version 0.6.5
  * fix blocksize calculation
  * lintian warning spelling fix
  * add manfile for par2
  * README in Markdown
  * add spelling fixes to cmdline output
  * fixed some spelling
  * simplify FindFiles
- Spec cleanup
* Wed Nov 23 2016 mpluskal@suse.com
- Change upstream source to more active one
  * This includes change of version from 1.1 to 0.6.15
- Update to version 0.6.14:
  * For comprehensive list of changes see ChangeLog
- Enable tests
- Drop par.diff
* Thu Feb 26 2015 mpluskal@suse.com
- Correct source url
* Tue Feb 24 2015 mpluskal@suse.com
- Cleanup spec file with spec-clener
- Use url for source
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Feb  8 2004 adrian@suse.de
- initial package of version 1.1
